Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

ServiceConfigurationError on iterator.hasNext() when loading plugins isn't handled [JDBC636] #666

Closed
firebird-issue-importer opened this issue Dec 19, 2020 · 5 comments

Comments

@firebird-issue-importer

Submitted by: @mrotteveel

The iterator.hasNext() of a ServiceLoader iterator can also throw a ServiceConfigurationError, but this isn't handled right now, causing the exception to escape loading of - for example - GDSFactory, EncodingFactory, ProtocolCollection and authentication plugins. As a result, the driver is then in an unusable state because the fallback handling is skipped.

See for example https://stackoverflow.com/q/65369197/466862

Commits: 0c26a59 5b9c36a e0d818d

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Dec 19, 2020

Modified by: @mrotteveel

Fix Version: Jaybird 3.0.10 [ 10932 ]

Fix Version: Jaybird 4.0.2 [ 10950 ]

Fix Version: Jaybird 5 [ 10871 ]

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Dec 19, 2020

Modified by: @mrotteveel

description: The iterator.hasNext() of a ServiceLoader iterator can also throw a ServiceConfigurationError, but this isn't handled right now, causing the exception to escape loading of - for example - GDSFactory, EncodingFactory and ProtocolCollection. As a result, the driver is then in an unusable state because the fallback handling is skipped.

See for example https://stackoverflow.com/q/65369197/466862

=>

The iterator.hasNext() of a ServiceLoader iterator can also throw a ServiceConfigurationError, but this isn't handled right now, causing the exception to escape loading of - for example - GDSFactory, EncodingFactory, ProtocolCollection and authentication plugins. As a result, the driver is then in an unusable state because the fallback handling is skipped.

See for example https://stackoverflow.com/q/65369197/466862

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Dec 19, 2020

Commented by: @mrotteveel

Committed fix

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Dec 19, 2020

Modified by: @mrotteveel

status: Open [ 1 ] => Resolved [ 5 ]

resolution: Fixed [ 1 ]

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Jan 17, 2021

Modified by: @mrotteveel

status: Resolved [ 5 ] => Closed [ 6 ]

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment